#include <iostream>

using namespace std;
long long a[100000007],b[100000007];
long long N,M,l,r,x,res;
int main()
{

    cin>>N>>M;
    for(int i=1;i<=N;i++){
        cin>>a[i]>>b[i];
    }
    res=0;
    for(int j=1;j<=M;j++){
        res=0;
        cin>>l>>r>>x;   
        for(int k=l;k<=r;k++){
            if(x<=b[k] && x>=a[k])res++;
        }
        cout<<res<<endl;
    }
    return 0;
}